<?php
namespace Teknisa\CADEST\Modules\Produto\Factories;

use Doctrine\ORM\EntityManager;

class Fiscal {
    
    protected $entityManager;
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
        $this->connection = $entityManager->getConnection();
    }

    public function deleteRelacproditgen($params) {
        $sql = "DELETE FROM RELACPRODITGEN
                WHERE CDLIVROMAG = :CDLIVROMAG
                  AND CDPRODUTO = :CDPRODUTO
                  AND NRORG = :NRORG";

        $query = $this->connection->prepare($sql);
        $query->execute($params);
    }

    public function getRelacproditgen($params) {
        $sql = "SELECT CDLIVROMAG, CDPRODUTO, CDTPITEMPROD, CDGENPROD
                 FROM RELACPRODITGEN
                WHERE CDLIVROMAG = :CDLIVROMAG
                  AND CDPRODUTO = :CDPRODUTO
                  AND NRORG = :NRORG";

        $query = $this->connection->prepare($sql);
        $query->execute($params);
        return $query->fetch();
    }

    public function getLivroPadrão($params) {
        $sql = "SELECT IDPADRAOLIVRO, CDLIVROMAG
                 FROM LIVROMAGNETICO
                WHERE IDPADRAOLIVRO = 'S'
                  AND NRORG = :NRORG";

        $query = $this->connection->prepare($sql);
        $query->execute($params);
        return $query->fetch();
    }

    public function insertRelacproditgen($params) {
        $sql = "INSERT INTO RELACPRODITGEN
                  (CDLIVROMAG, CDPRODUTO, CDTPITEMPROD, 
                  CDGENPROD, NRORG)
                VALUES
                  (:CDLIVROMAG, :CDPRODUTO, :CDTPITEMPROD,
                   :CDGENPROD, :NRORG)";

        $query = $this->connection->prepare($sql);
        $query->execute($params);
    }

    public function updateRelacproditgen($params){
        $sql = "UPDATE RELACPRODITGEN
                SET CDTPITEMPROD  = :CDTPITEMPROD,
                    CDGENPROD = :CDGENPROD
                WHERE CDLIVROMAG = :CDLIVROMAG
                  AND CDPRODUTO = :CDPRODUTO
                  AND NRORG = :NRORG";

        $query = $this->connection->prepare($sql);
        $query->execute($params);
    }
}
